Actualités & Annonces de l'équipe de développement et des administrateurs du forum.
Répondre

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#1Messageil y a 3 mois

Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée
Bonjour la communauté, bienvenue à une nouvelle mise à jour stable. Donc qu'avons nous comme nouveauté avec celle-ci ?
  • Nous avons mis à jour la plupart de nos noyaux
  • Nvidia 415.22 a été ajouté
  • Le thème Matcha arrive avec d'autres corrections et mises à jour
  • Ajout des derniers navigateurs comme Palemoon, Firefox et Opera
  • Deepin et Cinnamon
  • Pamac est libéré avec la version 7.3.2
  • Thunderbird a été mis à jour vers la version 60.3.3
  • Wine 4.0 arrive, testez la nouvelle version
  • Et tous les updates réguliers avec haskell, php et python
Nous espérons qu'avec tous ces changements, Manjaro sera encore meilleur pour vous tous.

N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.

Vous pouvez avoir 3..4 messages d'avertissements avec systemd, ne pas en tenir compte:
avertissement: systemd: version locale (239.303-1) est plus récente que core (239.6-2)


-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman-mirrors -f0 && sudo pacman -Syyu && yaourt -Sua
-------------------------------------------------------------------------------------


État des miroirs actuellement :


Noyaux pris en charge :
  • linux316 3.16.61
  • linux318 3.18.128 [EOL] En fin de vie
  • linux44 4.4.166
  • linux49 4.9.144
  • linux414 4.14.87
  • linux417 4.17.19 [EOL] En fin de vie
  • linux418 4.18.20 [EOL] En fin de vie
  • linux419 4.19.8
  • linux414-rt 4.14.78_rt47
  • linux416-rt 4.16.18_rt11
  • linux418-rt 4.18.16_rt9
Les changements en détail :
  • community x86_64: 726 nouveaux et 717 paquets retirés
  • core x86_64: 23 nouveaux et 23 paquets retirés
  • extra x86_64: 216 nouveaux et 221 paquets retirés
  • multilib x86_64: 14 nouveaux et 19 paquets retirés
Une liste détaillée des changements peut être trouvée ici
11 nouveaux paquets dans nos dépôts:

acme.sh:  An ACME Shell script, an acme client alternative to certbot
backintime:  Simple backup/snapshot system inspired by Flyback and TimeVault. Qt5 GUI version.
backintime-cli:  Simple backup/snapshot system inspired by Flyback and TimeVault. CLI version.
fmt:  Open-source formatting library for C++
haskell-megaparsec6:  Monadic parser combinators (Legacy 6.x branch)
libicns:  Library for manipulating icns/IconFamily files
obsuite:  System monitoring tools for custom desktop environments
plymouth:  A graphical boot splash screen with kernel mode-setting support
puppet5:  Server automation framework and application
scdoc:  tool for generating roff manual pages
wl-clipboard:  Command-line copy/paste utilities for Wayland
-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/events/thinkpad-radiosw est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S --overwrite '/etc/acpi/events/thinkpad-radiosw'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés
Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman-mirrors -g
sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#2Messageil y a 3 mois

:salut:

56 paquets mis à jour sans problème particulier.

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#3Messageil y a 3 mois

Bonjour,

Gros cafouillage avec cette mise à jour : via son icône, pamac m'a dans un premier temps proposé une màj de 572,8 Mo puis a juste disparu de l'écran quelques secondes après le démarrage de cette dernière (et les avertissements concernant la version de systemd). Une tentative de réouverture m'a alors indiqué une màj de 359,6 Mo et qu'elle était impossible, le processus de màj étant déjà occupé. Là, mon réflexe habituel quand ça cafouille est de tout arrêter-fermer en redémarrant par la voie normale.

Ça se ferme bien, le redémarrage passe le GRUB tranquilo puis… reste bloqué sur l'écran Manjaro avec une séquence a priori infinie de points verts qui passent au blanc. Et là, plus rien ne répond. Donc cette fois redémarrage sauvage à la pointe du stylo (hard reboot) et passage sur le noyau LTS de secours (4.14). Ouf, ça fonctionne !

Re-tentative de démarrer sur le noyau 4.19 et re-boucle sans fin. Donc re-retour au 4.14. Depuis lequel un sudo pacman -Syyu donne :

:: Synchronisation des bases de données de paquets…
 core                     147,4 KiB  1474K/s 00:00 [######################] 100%
 extra                   1852,2 KiB  3,29M/s 00:01 [######################] 100%
 community                  5,1 MiB  8,43M/s 00:01 [######################] 100%
 multilib                 184,7 KiB  13,9M/s 00:00 [######################] 100%
:: Début de la mise à jour complète du système…
avertissement : lib32-systemd : la version locale (239.303-1) est plus récente que multilib (239.6-2)
avertissement : libsystemd : la version locale (239.303-1) est plus récente que core (239.6-2)
avertissement : plymouth : la version locale (1:0.8.8-3) est plus récente que extra (0.9.4.r36.g0cd0613-1)
avertissement : systemd : la version locale (239.303-1) est plus récente que core (239.6-2)
avertissement : systemd-sysvcompat : la version locale (239.303-1) est plus récente que core (239.6-2)
 il n’y a rien à faire
:o . :? . :lol:

Bon, comparé aux versions -1 et -3 (hier), le journal de boot journalctl -b -2|grep err comporte ceci de différent dans la plage temporelle pertinente :

kernel: pamac-manager[10319]: segfault at 1c ip 00007efde09ed361 sp 00007ffefe72b4d0 error 4 in libcairo.so.2.11600.0[7efde0988000+d3000]
Et entre la version -1 et les 2 précédentes, le NVIDIA UNIX x86_64 Kernel Module passe de 415.18 (v. -2 et -3) à 415.22 (v. -1), toujours dans la plage temporelle critique.
Edit. : Thunderbird est passé à la version 60.3.3.

À part ça :saispas:
Donc :sos:

Merci d'avance !

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#4Messageil y a 3 mois

picoteras a écrit :
il y a 3 mois
mon réflexe habituel quand ça cafouille est de tout arrêter-fermer en redémarrant par la voie normale.
pas un bon réflexe :wink:
Imaginons que tu as 2 paquets systemd sur 4 à jour (pas le cas ici)....
Le reboot sera alors impossible (sans chroot)
Je préconise plutôt directement (sans reboot) un essai avec pacman (console ou tty) ou éventuellement pour les allergiques à la console, tuer les process "pamac-****" puis relancer pamac

ps: bon exemple picoteras comme quoi il est plus que bon d'avoir plusieurs noyaux :bien

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#5Messageil y a 3 mois

Salut :salut:

Mise à jour de 62 paquets pour KDE sans souci.
Bonne journée à tous

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#6Messageil y a 3 mois

bonjour !
61 paquets mis à jour sans encombre !
merci !

stéphane

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#7Messageil y a 3 mois

RAS.
Mêmes messages sur "versions locales plus récentes que core".

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#8Messageil y a 3 mois

258 paquets pour 800Mo ( Mate )
Ras

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#9Messageil y a 3 mois

103 paquets pour 475 Mo. MAJ impeccable. Aucun problème au reboot. :clap:clap

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#10Messageil y a 3 mois

:bjr: tout le monde
49 paquets pour Kde et redémarrage ok
:merci: à tous
Michel

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#11Messageil y a 3 mois

Bonjour,
Toutti paletti sur les 2 pc (59 et 60 paquets), xfce pour les deux,
avec le noyau 419 pour le i7 sans nvidia
et le 414 pour le i5 avec nvidia.
Merci pour votre travail.

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#12Messageil y a 3 mois

Bonsoir à tous,

Je n'ai pas encore fait cette MAJ de 51 paquets chez moi, mais en voyant le message de Hackoeur ci dessus çà me rappelle ma mésaventure avec le noyau 4.19 qui lors d'une MAJ (celle du 6 novembre dans ces eaux là) avait tué ma distribution...
Bref tout ce blabla pour vous demander si on peut à présent (enfin pour les petits malchanceux comme moi qui ont eu des soucis) ré-installer ce noyau, ou pas ?
Très bonne soirée à tous :bjr:

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#13Messageil y a 3 mois

Bonjour,
De mémoire, le problème venait de l'ordonnanceur BFQ, pas du kernel en lui-même.
Pas de raison de ne pas essayer le 4.19, après mise à jour et sauvegarde quand même, hein...

[Stable] Mise à jour 14/12/2018 - Kernels, Nvidia, Deepin, Cinnamon, Pamac, Navigateurs, Thunderbird

#14Messageil y a 3 mois

letransfuge a écrit :
il y a 3 mois
Bonjour,
De mémoire, le problème venait de l'ordonnanceur BFQ, pas du kernel en lui-même.
Pas de raison de ne pas essayer le 4.19, après mise à jour et sauvegarde quand même, hein...
Bonsoir Letransfuge, merci de m'avoir répondu :merci:
Ouh là c'est quoi cette chose !? :shock:
Bon j'ai fait une petite recherche vite fait, effectivement à priori çà n'a rien à voir avec le noyau...
L'ordonnanceur BFQ a été soigné depuis j'espère ? :mrgreen:
J'imagine que oui :sourire:
Oui je sauvegarde tout tout bien maintenant, j'ai compris la leçon :wink:
Bon, je vais tenter alors...

Répondre